<CsoundSynthesizer>
<CsOptions>
-o aerosound.wav -W
</CsOptions>
; ==============================================
<CsInstruments>

sr	=	48000
ksmps	=	1
nchnls	=	2
0dbfs	=	1
#include "m_aerosound.udo"

instr 1	
	ispeedamp init p4 ; amplitude of the LFO varying the speed
	ispeedfreq = 0.2 ; frequency of the LFO varying the speed
	ispeedtab = 1 ; function table number of the LFO varying the speed
	ibasespeed init p5 ; set basic speed to vary
					; see f statement in score section below
	kspeed oscil ispeedamp, ispeedfreq, ispeedtab
	kspeed = kspeed * 70 + ibasespeed ; vary wind speed around 70 m/s
	kdiametre init p6 ; set diametre to 0.1
	klength init 16 ; set cylinder length to 10
	kelevation line 0, p3, ($M_PI/2)
	;kazimuth line (-.25 * $M_PI), p3, (.25 * $M_PI)
	kazimuth init 0
	kdistance init 10 ; set distance between listener and sound source to 10
	al1, ar1 m_aerosound kspeed, kdiametre, klength, kelevation, kazimuth, \
			kdistance
	;al2, ar2 m_aerosound kspeed, kdiametre*0.43, klength-10, kelevation, (1 / $M_PI), \
	;		kdistance
	;al3, ar3 m_aerosound kspeed, kdiametre*1.35, klength+10, kelevation, (-1 / $M_PI), \
	;		kdistance
	;ar = (ar1 + ar2 + ar3)*0.03
	;al = (al1 + al2 + al3)*0.03
	outs al1/20, ar1/20
endin

</CsInstruments>
; ==============================================
<CsScore>
f1 0 32768 10 1 ; function table one, 32768 sample points, GEN10 (stacked sines
					; only set the first sine(first harmonic) to amplitude one

i1 0 20 .1 80 .1
i1 + . .3 90 .021
i1 . . .2 110 .2
e
</CsScore>
</CsoundSynthesizer>
